Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations
GETCeph Primary Storage OperationsSince 0.6SynchronousAuth Required

QueryCephPrimaryStoragePool

QueryCephPrimaryStoragePool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • primaryStorageUuidStringRequired

      The UUID of the Ceph primary storage.

    • poolNameStringRequired

      池名称。

    • aliasNameStringRequired

      No description provided.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeStringRequired

      类型。

    • usedCapacityLongRequired

      已使用容量。

    • replicatedSizeIntegerRequired

      No description provided.

    • availableCapacityLongRequired

      可用容量。

Endpoint

GET/zstack/v1/primary-storage/ceph/pools

/zstack/v1/primary-storage/ceph/pools

Operation ID

QueryCephPrimaryStoragePool

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/ceph/pools' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "primaryStorageUuid": "d0e638ede3263a9080c41ce860106043", "poolName": "test pool", "aliasName": "alias test pool", "description": "high performance", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "type": "Data" } ] }

Change History

This API has no change history records yet.

View all change history